/* -*- mode: js2; js2-basic-offset: 4; indent-tabs-mode: nil -*- */
/*

    Copyright (C) 2012-2014  Dieter Schärf <ds@dschaerf.de>

    This program is free software: you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation, either version 3 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program. If not, see <http://www.gnu.org/licenses/>.

 */

const Gtk = imports.gi.Gtk;

const ExtensionUtils = imports.misc.extensionUtils;

const Extension = ExtensionUtils.getCurrentExtension();

const Convenience = Extension.imports.convenience;

const CURRENT_EXTENSION_ID = Extension.metadata['extension-id'];

function init() {
    Convenience.initTranslations();
}

function buildPrefsWidget() {
    let widget = new Extension.imports[CURRENT_EXTENSION_ID+'Preferences'].Preferences({
        orientation: Gtk.Orientation.VERTICAL,
        border_width: 10,
        spacing: 10
    });
    widget.show_all();
    return widget;
}
